Difference between revisions of "List of coot dependencies"

From CCP4 wiki
(updated dependency list)
m
Line 1: Line 1:
This is current as of 0.5:
+
This is current as of 0.5-2:
  
clipper
+
I generated this list with the following unix command:
freeglut3
+
 
freeglut3-dbg
+
dpkg -S $(  ldd /usr/local/xtal/coot/bin/coot-real | awk '{print $3}' | sort -u | grep -v \(  )| cut -f 1 -d ":" | sort -u | perl -pi -e 's|\n|\, |g' >| dependencies.txt 
gpp4
+
 
guile-1.8-libs
+
guile18-gtk
+
Depends: clipper, freeglut3, gpp4, guile-1.8-libs, guile18-gtk, libart-2.0-2, libatk1.0-0, libc6-i686, libcairo2, libexpat1, libfontconfig1, libfreetype6, libgail18, libgcc1, libgl1-mesa-glx, nvidia-glx-new, libglade2-0, libglib2.0-0, libglu1-mesa, libgmp3c2, libgnomecanvas2-0, libgsl0ldbl, libgtk2.0-0, libgtkglext1, libice6, libltdl3, libpango1.0-0, libpcre3, libpixman-1-0, libpng12-0, libsm6, libstdc++6, libx11-6, libxau6, libxcb-xlib0, libxcb1, libxcomposite1, libxcursor1, libxdamage1, libxdmcp6, libxext6, libxfixes3, libxi6, libxinerama1, libxml2, libxmu6, libxrandr2, libxrender1, libxt6, mmdb, nvidia-glx-new, python2.5, ssm, zlib1g
libart-2.0-2
 
libatk1.0-0
 
libc6
 
libc6-i686
 
libcairo2
 
libexpat1
 
libfontconfig1
 
libfreetype6
 
libgail18
 
libgcc1
 
libgl1-mesa-glx
 
libgl1-mesa-glx-dbg
 
libglade2-0
 
libglib2.0-0
 
libglu1-mesa
 
libgmp3c2
 
libgnomecanvas2-0
 
libgsl0ldbl
 
libgtk2.0-0
 
libgtkglext1
 
libice6
 
libltdl3
 
libpango1.0-0
 
libpcre3
 
libpixman-1-0
 
libpng12-0
 
libsm6
 
libstdc++6
 
libx11-6
 
libxau6
 
libxcb-xlib0
 
libxcb1
 
libxcomposite1
 
libxcursor1
 
libxdamage1
 
libxdmcp6
 
libxext6
 
libxfixes3
 
libxi6
 
libxinerama1
 
libxml2
 
libxmu6
 
libxrandr2
 
libxrender1
 
libxt6
 
mmdb
 
nvidia-glx-new
 
nxnode
 
python2.5
 
python2.5-dbg
 
ssm
 
zlib1g
 

Revision as of 16:23, 17 November 2008

This is current as of 0.5-2:

I generated this list with the following unix command:

dpkg -S $( ldd /usr/local/xtal/coot/bin/coot-real | awk '{print $3}' | sort -u | grep -v \( )| cut -f 1 -d ":" | sort -u | perl -pi -e 's|\n|\, |g' >| dependencies.txt


Depends: clipper, freeglut3, gpp4, guile-1.8-libs, guile18-gtk, libart-2.0-2, libatk1.0-0, libc6-i686, libcairo2, libexpat1, libfontconfig1, libfreetype6, libgail18, libgcc1, libgl1-mesa-glx, nvidia-glx-new, libglade2-0, libglib2.0-0, libglu1-mesa, libgmp3c2, libgnomecanvas2-0, libgsl0ldbl, libgtk2.0-0, libgtkglext1, libice6, libltdl3, libpango1.0-0, libpcre3, libpixman-1-0, libpng12-0, libsm6, libstdc++6, libx11-6, libxau6, libxcb-xlib0, libxcb1, libxcomposite1, libxcursor1, libxdamage1, libxdmcp6, libxext6, libxfixes3, libxi6, libxinerama1, libxml2, libxmu6, libxrandr2, libxrender1, libxt6, mmdb, nvidia-glx-new, python2.5, ssm, zlib1g